NFSIOD(8)

NAME
nfsiod - local NFS asynchronous I/O server

SYNOPSIS
nfsiod [-n num_servers]

DESCRIPTION
The nfsiod utility is a kernel process which runs on an NFS client machine to service asynchronous I/O requests to its server. It improves performance but is not required for correct operation.

This program controls the maximum number of processes that the kernel runs.

The options are as follows:

-n  Specify how many servers are permitted to be started.

A client should run enough daemons to handle its maximum level of concurrency, typically four to six.

If nfsiod detects that the running kernel does not include NFS support, it will attempt to load a loadable kernel module containing NFS code, using kldload(2). If this fails, or no NFS KLD was available, nfsiod exits with an error.

EXIT STATUS

SEE ALSO
nfsstat(1), kldload(2), nfssvc(2), mountd(8), nfsd(8), rpcbind(8)

HISTORY
The nfsiod utility first appeared in 4.4BSD.